Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class ConstructorCache.Entry

    java.lang.Object
      php.java.bridge.ConstructorCache.Entry

Enclosing class:
  ConstructorCache

    public static class ConstructorCache.Entry

extends java.lang.Object

A cache entry

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Class[]` | `getParameterTypes(java.lang.reflect.Constructor method)`
`int` | `hashCode()`
`void` | `setMethod(php.java.bridge.ConstructorCache.CachedConstructor cache)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### setMethod

    public void setMethod(php.java.bridge.ConstructorCache.CachedConstructor cache)

### getParameterTypes

    public java.lang.Class[] getParameterTypes(java.lang.reflect.Constructor method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD